import{_ as n,r as a,o as t,c as p,a as o,e}from"./app.6b4baefe.js";const r={},c=e(`<h1 id="getting-started" tabindex="-1"><a class="header-anchor" href="#getting-started" aria-hidden="true">#</a> Getting started</h1><h2 id="installation" tabindex="-1"><a class="header-anchor" href="#installation" aria-hidden="true">#</a> Installation</h2><div class="language-javascript ext-js line-numbers-mode"><pre class="language-javascript"><code>npm install vue3<span class="token operator">-</span>easy<span class="token operator">-</span>data<span class="token operator">-</span>table
<span class="token comment">// or</span>
yarn add vue3<span class="token operator">-</span>easy<span class="token operator">-</span>data<span class="token operator">-</span>table
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div><h2 id="regist-globally" tabindex="-1"><a class="header-anchor" href="#regist-globally" aria-hidden="true">#</a> Regist globally</h2><div class="language-javascript ext-js line-numbers-mode"><pre class="language-javascript"><code><span class="token keyword">import</span> Vue3EasyDataTable <span class="token keyword">from</span> <span class="token string">&#39;vue3-easy-data-table&#39;</span><span class="token punctuation">;</span>
<span class="token keyword">import</span> <span class="token string">&#39;vue3-easy-data-table/dist/style.css&#39;</span><span class="token punctuation">;</span>

<span class="token keyword">const</span> app <span class="token operator">=</span> <span class="token function">createApp</span><span class="token punctuation">(</span>App<span class="token punctuation">)</span><span class="token punctuation">;</span>
app<span class="token punctuation">.</span><span class="token function">component</span><span class="token punctuation">(</span><span class="token string">&#39;EasyDataTable&#39;</span><span class="token punctuation">,</span> Vue3EasyDataTable<span class="token punctuation">)</span><span class="token punctuation">;</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div><h2 id="basic-example" tabindex="-1"><a class="header-anchor" href="#basic-example" aria-hidden="true">#</a> Basic Example</h2><div class="language-javascript ext-js line-numbers-mode"><pre class="language-javascript"><code><span class="token operator">&lt;</span>template<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>EasyDataTable
    <span class="token operator">:</span>headers<span class="token operator">=</span><span class="token string">&quot;headers&quot;</span>
    <span class="token operator">:</span>items<span class="token operator">=</span><span class="token string">&quot;items&quot;</span>
  <span class="token operator">/</span><span class="token operator">&gt;</span>
<span class="token operator">&lt;</span><span class="token operator">/</span>template<span class="token operator">&gt;</span>

<span class="token operator">&lt;</span>script lang<span class="token operator">=</span><span class="token string">&quot;ts&quot;</span> setup<span class="token operator">&gt;</span>
<span class="token keyword">import</span> type <span class="token punctuation">{</span> Header<span class="token punctuation">,</span> Item <span class="token punctuation">}</span> <span class="token keyword">from</span> <span class="token string">&quot;vue3-easy-data-table&quot;</span><span class="token punctuation">;</span>

<span class="token keyword">const</span> <span class="token literal-property property">headers</span><span class="token operator">:</span> Header<span class="token punctuation">[</span><span class="token punctuation">]</span> <span class="token operator">=</span> <span class="token punctuation">[</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;PLAYER&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;player&quot;</span> <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;TEAM&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;team&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;NUMBER&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;number&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;POSITION&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;position&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;HEIGHT&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;height&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;WEIGHT (lbs)&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;weight&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">sortable</span><span class="token operator">:</span> <span class="token boolean">true</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;LAST ATTENDED&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;lastAttended&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;COUNTRY&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;country&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
<span class="token punctuation">]</span><span class="token punctuation">;</span>



<span class="token keyword">const</span> <span class="token literal-property property">items</span><span class="token operator">:</span> Item<span class="token punctuation">[</span><span class="token punctuation">]</span> <span class="token operator">=</span> <span class="token punctuation">[</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Stephen Curry&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;avator&quot;</span><span class="token operator">:</span> <span class="token string">&quot;https://cdn.nba.com/headshots/nba/latest/260x190/201939.png&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;GSW&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">30</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;G&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-2&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">185</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Davidson&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Lebron James&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;avator&quot;</span><span class="token operator">:</span> <span class="token string">&quot;https://cdn.nba.com/headshots/nba/latest/260x190/2544.png&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;LAL&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">6</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-9&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">250</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;St. Vincent-St. Mary HS (OH)&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Kevin Durant&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;avator&quot;</span><span class="token operator">:</span> <span class="token string">&quot;https://cdn.nba.com/headshots/nba/latest/260x190/201142.png&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;BKN&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">7</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-10&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">240</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Texas-Austin&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Giannis Antetokounmpo&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;avator&quot;</span><span class="token operator">:</span> <span class="token string">&quot;https://cdn.nba.com/headshots/nba/latest/260x190/203507.png&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;MIL&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">34</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-11&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">242</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Filathlitikos&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Greece&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
<span class="token punctuation">]</span><span class="token punctuation">;</span>
<span class="token operator">&lt;</span><span class="token operator">/</span>script<span class="token operator">&gt;</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div>`,7);function l(u,i){const s=a("Basic");return t(),p("div",null,[c,o(s)])}var d=n(r,[["render",l],["__file","getting-started.html.vue"]]);export{d as default};
