import{_ as o,r as n,o as e,c as r,b as s,a,e as c}from"./app.6b4baefe.js";const l={},u=c(`<h1 id="theme-color" tabindex="-1"><a class="header-anchor" href="#theme-color" aria-hidden="true">#</a> Theme color</h1><p>Use <code>theme-color</code> prop to customize color of checkbox, active option of rows selector, loading bar and active button of buttons pagination.</p><h2 id="example" tabindex="-1"><a class="header-anchor" href="#example" aria-hidden="true">#</a> Example</h2><div class="language-vue ext-vue line-numbers-mode"><pre class="language-vue"><code><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>EasyDataTable</span>
  <span class="token attr-name">:headers</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>headers<span class="token punctuation">&quot;</span></span>
  <span class="token attr-name">:items</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>items<span class="token punctuation">&quot;</span></span>
  <span class="token attr-name">:theme-color</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>#f48225<span class="token punctuation">&quot;</span></span>
  <span class="token attr-name">:items-selected</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>itemsSelected<span class="token punctuation">&quot;</span></span>
  <span class="token attr-name">buttons-pagination</span>
  <span class="token attr-name">loading</span>
<span class="token punctuation">/&gt;</span></span>

<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>script</span> <span class="token attr-name">lang</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>ts<span class="token punctuation">&quot;</span></span> <span class="token attr-name">setup</span><span class="token punctuation">&gt;</span></span><span class="token script"><span class="token language-javascript">
<span class="token keyword">import</span> <span class="token punctuation">{</span> Header<span class="token punctuation">,</span> Item <span class="token punctuation">}</span> <span class="token keyword">from</span> <span class="token string">&quot;vue3-easy-data-table&quot;</span><span class="token punctuation">;</span>
<span class="token keyword">import</span> <span class="token punctuation">{</span> ref <span class="token punctuation">}</span> <span class="token keyword">from</span> <span class="token string">&quot;vue&quot;</span><span class="token punctuation">;</span>

<span class="token keyword">const</span> <span class="token literal-property property">headers</span><span class="token operator">:</span> Header<span class="token punctuation">[</span><span class="token punctuation">]</span> <span class="token operator">=</span> <span class="token punctuation">[</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;PLAYER&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;player&quot;</span> <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;TEAM&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;team&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;NUMBER&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;number&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;POSITION&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;position&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;HEIGHT&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;height&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;WEIGHT (lbs)&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;weight&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">sortable</span><span class="token operator">:</span> <span class="token boolean">true</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;LAST ATTENDED&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;lastAttended&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token literal-property property">text</span><span class="token operator">:</span> <span class="token string">&quot;COUNTRY&quot;</span><span class="token punctuation">,</span> <span class="token literal-property property">value</span><span class="token operator">:</span> <span class="token string">&quot;country&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
<span class="token punctuation">]</span><span class="token punctuation">;</span>

<span class="token keyword">const</span> <span class="token literal-property property">items</span><span class="token operator">:</span> Item<span class="token punctuation">[</span><span class="token punctuation">]</span> <span class="token operator">=</span> <span class="token punctuation">[</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Stephen Curry&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;GSW&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">30</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;G&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-2&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">185</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Davidson&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Lebron James&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;LAL&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">6</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-9&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">250</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;St. Vincent-St. Mary HS (OH)&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Kevin Durant&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;BKN&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">7</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-10&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">240</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Texas-Austin&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;USA&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">{</span> <span class="token string-property property">&quot;player&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Giannis Antetokounmpo&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;team&quot;</span><span class="token operator">:</span> <span class="token string">&quot;MIL&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;number&quot;</span><span class="token operator">:</span> <span class="token number">34</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;position&quot;</span><span class="token operator">:</span> <span class="token string">&#39;F&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;height&quot;</span><span class="token operator">:</span> <span class="token string">&#39;6-11&#39;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;weight&quot;</span><span class="token operator">:</span> <span class="token number">242</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;lastAttended&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Filathlitikos&quot;</span><span class="token punctuation">,</span> <span class="token string-property property">&quot;country&quot;</span><span class="token operator">:</span> <span class="token string">&quot;Greece&quot;</span><span class="token punctuation">}</span><span class="token punctuation">,</span>
<span class="token punctuation">]</span><span class="token punctuation">;</span>

<span class="token keyword">const</span> itemsSelected <span class="token operator">=</span> <span class="token function">ref</span><span class="token punctuation">(</span><span class="token punctuation">[</span>items<span class="token punctuation">[</span><span class="token number">0</span><span class="token punctuation">]</span><span class="token punctuation">]</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
</span></span><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>script</span><span class="token punctuation">&gt;</span></span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div>`,4),i={href:"https://codesandbox.io/s/theme-color-89ps64?file=/src/App.vue",target:"_blank",rel:"noopener noreferrer"},k=s("img",{src:"https://codesandbox.io/static/img/play-codesandbox.svg",alt:"Edit on CodeSandbox"},null,-1);function q(d,y){const t=n("ExternalLinkIcon"),p=n("ThemeColor");return e(),r("div",null,[u,s("p",null,[s("a",i,[k,a(t)])]),a(p)])}var m=o(l,[["render",q],["__file","theme-color.html.vue"]]);export{m as default};
